org.apache.uima.jcas.cas

## Class StringArray_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.CommonArray_Type
    - - org.apache.uima.jcas.cas.StringArray_Type

-     public final class StringArray_Type
      extends CommonArray_Type

  The java Cas model for the CAS StringArray Type This is not final because the migration from pre v08 has the old xxx_Type as a subclass of this.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `typeIndexID` this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringArray_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(int addr, String[] src, int srcOffset, int destOffset, int length)`
    `void` | `copyToArray(int addr, int srcOffset, String[] dest, int destOffset, int length)`
    `String` | `get(int addr, int i)`
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `void` | `set(int addr, int i, String v)` updates the Cas, setting the indexed value to the passed in Java String value.
    `String[]` | `toArray(int addr)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.CommonArray_Type

      `size`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

  - ### Constructor Detail

    - #### StringArray_Type

          public StringArray_Type(JCas jcas,
                                  Type casType)

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `TOP_Type`

    - #### get

          public String get(int addr,
                            int i)

      Parameters:
        `addr` - the low level CAS Feature Structure reference
        `i` - the index
      Returns:
        the indexed value from the corresponding Cas StringArray as a Java String.
      See Also:
        `StringArrayFS.get(int)`

    - #### set

          public void set(int addr,
                          int i,
                          String v)

      updates the Cas, setting the indexed value to the passed in Java String value.
      Parameters:
        `addr` - the low level CAS Feature Structure reference
        `i` - the index
        `v` - the value
      See Also:
        `StringArrayFS.set(int, String)`

    - #### copyFromArray

          public void copyFromArray(int addr,
                                    String[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)

      Parameters:
        `addr` - the low level CAS Feature Structure reference
        `src` - the Java object source
        `srcOffset` - the source offset
        `destOffset` - the destination offset in the CAS Feature Structure
        `length` - the number of items to copy
      See Also:
        `StringArrayFS.copyFromArray(String[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int addr,
                                  int srcOffset,
                                  String[] dest,
                                  int destOffset,
                                  int length)

      Parameters:
        `addr` - the low level CAS Feature Structure reference
        `srcOffset` - the offset in the CAS Feature Structure
        `dest` - the Java object destination
        `destOffset` - the destination offset
        `length` - the number of items to copy
      See Also:
        `StringArrayFS.copyToArray(int, String[], int, int)`

    - #### toArray

          public String[] toArray(int addr)

      Parameters:
        `addr` - the low level CAS Feature Structure reference
      Returns:
        a copy of the string array
      See Also:
        `StringArrayFS.toArray()`

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.